]> cygwin.com Git - cygwin-apps/cygutils.git/blob - Makefile.in
Add col; regenerate autofiles
[cygwin-apps/cygutils.git] / Makefile.in
1 # Makefile.in generated by automake 1.6.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = .
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 INSTALL = @INSTALL@
48 INSTALL_PROGRAM = @INSTALL_PROGRAM@
49 INSTALL_DATA = @INSTALL_DATA@
50 install_sh_DATA = $(install_sh) -c -m 644
51 install_sh_PROGRAM = $(install_sh) -c
52 INSTALL_SCRIPT = @INSTALL_SCRIPT@
53 INSTALL_HEADER = $(INSTALL_DATA)
54 transform = @program_transform_name@
55 NORMAL_INSTALL = :
56 PRE_INSTALL = :
57 POST_INSTALL = :
58 NORMAL_UNINSTALL = :
59 PRE_UNINSTALL = :
60 POST_UNINSTALL = :
61
62 EXEEXT = @EXEEXT@
63 OBJEXT = @OBJEXT@
64 PATH_SEPARATOR = @PATH_SEPARATOR@
65 AMTAR = @AMTAR@
66 AWK = @AWK@
67 CC = @CC@
68 DEPDIR = @DEPDIR@
69 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
70 MAINT = @MAINT@
71 PACKAGE = @PACKAGE@
72 STRIP = @STRIP@
73 VERSION = @VERSION@
74 am__include = @am__include@
75 am__quote = @am__quote@
76 install_sh = @install_sh@
77
78 SUBDIRS = src
79 subdir = .
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
82 CONFIG_HEADER = config.h
83 CONFIG_CLEAN_FILES =
84 DIST_SOURCES =
85
86 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
87 uninstall-info-recursive all-recursive install-data-recursive \
88 install-exec-recursive installdirs-recursive install-recursive \
89 uninstall-recursive check-recursive installcheck-recursive
90 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
91 Makefile.in NEWS TODO acinclude.m4 aclocal.m4 config.h.in \
92 configure configure.ac depcomp install-sh missing mkinstalldirs
93 DIST_SUBDIRS = $(SUBDIRS)
94 all: config.h
95 $(MAKE) $(AM_MAKEFLAGS) all-recursive
96
97 .SUFFIXES:
98 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
99 cd $(top_srcdir) && \
100 $(AUTOMAKE) --gnu Makefile
101 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
102 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
103
104 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
105 $(SHELL) ./config.status --recheck
106 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
107 cd $(srcdir) && $(AUTOCONF)
108
109 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac acinclude.m4
110 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
111
112 config.h: stamp-h1
113 @if test ! -f $@; then \
114 rm -f stamp-h1; \
115 $(MAKE) stamp-h1; \
116 else :; fi
117
118 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
119 @rm -f stamp-h1
120 cd $(top_builddir) && $(SHELL) ./config.status config.h
121
122 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.ac $(ACLOCAL_M4)
123 cd $(top_srcdir) && $(AUTOHEADER)
124 touch $(srcdir)/config.h.in
125
126 distclean-hdr:
127 -rm -f config.h
128 uninstall-info-am:
129
130 # This directory's subdirectories are mostly independent; you can cd
131 # into them and run `make' without going through this Makefile.
132 # To change the values of `make' variables: instead of editing Makefiles,
133 # (1) if the variable is set in `config.status', edit `config.status'
134 # (which will cause the Makefiles to be regenerated when you run `make');
135 # (2) otherwise, pass the desired values on the `make' command line.
136 $(RECURSIVE_TARGETS):
137 @set fnord $$MAKEFLAGS; amf=$$2; \
138 dot_seen=no; \
139 target=`echo $@ | sed s/-recursive//`; \
140 list='$(SUBDIRS)'; for subdir in $$list; do \
141 echo "Making $$target in $$subdir"; \
142 if test "$$subdir" = "."; then \
143 dot_seen=yes; \
144 local_target="$$target-am"; \
145 else \
146 local_target="$$target"; \
147 fi; \
148 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
149 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
150 done; \
151 if test "$$dot_seen" = "no"; then \
152 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
153 fi; test -z "$$fail"
154
155 mostlyclean-recursive clean-recursive distclean-recursive \
156 maintainer-clean-recursive:
157 @set fnord $$MAKEFLAGS; amf=$$2; \
158 dot_seen=no; \
159 case "$@" in \
160 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
161 *) list='$(SUBDIRS)' ;; \
162 esac; \
163 rev=''; for subdir in $$list; do \
164 if test "$$subdir" = "."; then :; else \
165 rev="$$subdir $$rev"; \
166 fi; \
167 done; \
168 rev="$$rev ."; \
169 target=`echo $@ | sed s/-recursive//`; \
170 for subdir in $$rev; do \
171 echo "Making $$target in $$subdir"; \
172 if test "$$subdir" = "."; then \
173 local_target="$$target-am"; \
174 else \
175 local_target="$$target"; \
176 fi; \
177 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
178 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
179 done && test -z "$$fail"
180 tags-recursive:
181 list='$(SUBDIRS)'; for subdir in $$list; do \
182 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
183 done
184
185 ETAGS = etags
186 ETAGSFLAGS =
187
188 tags: TAGS
189
190 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
191 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
192 unique=`for i in $$list; do \
193 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
194 done | \
195 $(AWK) ' { files[$$0] = 1; } \
196 END { for (i in files) print i; }'`; \
197 mkid -fID $$unique
198
199 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
200 $(TAGS_FILES) $(LISP)
201 tags=; \
202 here=`pwd`; \
203 list='$(SUBDIRS)'; for subdir in $$list; do \
204 if test "$$subdir" = .; then :; else \
205 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
206 fi; \
207 done; \
208 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
209 unique=`for i in $$list; do \
210 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
211 done | \
212 $(AWK) ' { files[$$0] = 1; } \
213 END { for (i in files) print i; }'`; \
214 test -z "$(ETAGS_ARGS)$$tags$$unique" \
215 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
216 $$tags $$unique
217
218 GTAGS:
219 here=`$(am__cd) $(top_builddir) && pwd` \
220 && cd $(top_srcdir) \
221 && gtags -i $(GTAGS_ARGS) $$here
222
223 distclean-tags:
224 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
225 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
226
227 top_distdir = .
228 distdir = $(PACKAGE)-$(VERSION)
229
230 am__remove_distdir = \
231 { test ! -d $(distdir) \
232 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
233 && rm -fr $(distdir); }; }
234
235 GZIP_ENV = --best
236 distcleancheck_listfiles = find . -type f -print
237
238 distdir: $(DISTFILES)
239 $(am__remove_distdir)
240 mkdir $(distdir)
241 @for file in $(DISTFILES); do \
242 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
243 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
244 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
245 dir="/$$dir"; \
246 $(mkinstalldirs) "$(distdir)$$dir"; \
247 else \
248 dir=''; \
249 fi; \
250 if test -d $$d/$$file; then \
251 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
252 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
253 fi; \
254 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
255 else \
256 test -f $(distdir)/$$file \
257 || cp -p $$d/$$file $(distdir)/$$file \
258 || exit 1; \
259 fi; \
260 done
261 list='$(SUBDIRS)'; for subdir in $$list; do \
262 if test "$$subdir" = .; then :; else \
263 test -d $(distdir)/$$subdir \
264 || mkdir $(distdir)/$$subdir \
265 || exit 1; \
266 (cd $$subdir && \
267 $(MAKE) $(AM_MAKEFLAGS) \
268 top_distdir="$(top_distdir)" \
269 distdir=../$(distdir)/$$subdir \
270 distdir) \
271 || exit 1; \
272 fi; \
273 done
274 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
275 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
276 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
277 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
278 || chmod -R a+r $(distdir)
279 dist-gzip: distdir
280 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
281 $(am__remove_distdir)
282
283 dist dist-all: distdir
284 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
285 $(am__remove_distdir)
286
287 # This target untars the dist file and tries a VPATH configuration. Then
288 # it guarantees that the distribution is self-contained by making another
289 # tarfile.
290 distcheck: dist
291 $(am__remove_distdir)
292 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
293 chmod -R a-w $(distdir); chmod a+w $(distdir)
294 mkdir $(distdir)/=build
295 mkdir $(distdir)/=inst
296 chmod a-w $(distdir)
297 dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
298 && cd $(distdir)/=build \
299 && ../configure --srcdir=.. --prefix=$$dc_install_base \
300 $(DISTCHECK_CONFIGURE_FLAGS) \
301 && $(MAKE) $(AM_MAKEFLAGS) \
302 && $(MAKE) $(AM_MAKEFLAGS) dvi \
303 && $(MAKE) $(AM_MAKEFLAGS) check \
304 && $(MAKE) $(AM_MAKEFLAGS) install \
305 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
306 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
307 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
308 || { echo "ERROR: files left after uninstall:" ; \
309 find $$dc_install_base -type f -print ; \
310 exit 1; } >&2 ) \
311 && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
312 && rm -f $(distdir).tar.gz \
313 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
314 $(am__remove_distdir)
315 @echo "$(distdir).tar.gz is ready for distribution" | \
316 sed 'h;s/./=/g;p;x;p;x'
317 distcleancheck: distclean
318 if test '$(srcdir)' = . ; then \
319 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
320 exit 1 ; \
321 fi
322 test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
323 || { echo "ERROR: files left after distclean:" ; \
324 $(distcleancheck_listfiles) ; \
325 exit 1; } >&2
326 check-am: all-am
327 check: check-recursive
328 all-am: Makefile config.h
329 installdirs: installdirs-recursive
330 installdirs-am:
331
332 install: install-recursive
333 install-exec: install-exec-recursive
334 install-data: install-data-recursive
335 uninstall: uninstall-recursive
336
337 install-am: all-am
338 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
339
340 installcheck: installcheck-recursive
341 install-strip:
342 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
343 INSTALL_STRIP_FLAG=-s \
344 `test -z '$(STRIP)' || \
345 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
346 mostlyclean-generic:
347
348 clean-generic:
349
350 distclean-generic:
351 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
352
353 maintainer-clean-generic:
354 @echo "This command is intended for maintainers to use"
355 @echo "it deletes files that may require special tools to rebuild."
356 clean: clean-recursive
357
358 clean-am: clean-generic mostlyclean-am
359
360 distclean: distclean-recursive
361 -rm -f config.status config.cache config.log
362 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
363
364 dvi: dvi-recursive
365
366 dvi-am:
367
368 info: info-recursive
369
370 info-am:
371
372 install-data-am:
373
374 install-exec-am:
375
376 install-info: install-info-recursive
377
378 install-man:
379
380 installcheck-am:
381
382 maintainer-clean: maintainer-clean-recursive
383
384 maintainer-clean-am: distclean-am maintainer-clean-generic
385
386 mostlyclean: mostlyclean-recursive
387
388 mostlyclean-am: mostlyclean-generic
389
390 uninstall-am: uninstall-info-am
391
392 uninstall-info: uninstall-info-recursive
393
394 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
395 clean-generic clean-recursive dist dist-all dist-gzip distcheck \
396 distclean distclean-generic distclean-hdr distclean-recursive \
397 distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
398 info info-am info-recursive install install-am install-data \
399 install-data-am install-data-recursive install-exec \
400 install-exec-am install-exec-recursive install-info \
401 install-info-am install-info-recursive install-man \
402 install-recursive install-strip installcheck installcheck-am \
403 installdirs installdirs-am installdirs-recursive \
404 maintainer-clean maintainer-clean-generic \
405 maintainer-clean-recursive mostlyclean mostlyclean-generic \
406 mostlyclean-recursive tags tags-recursive uninstall \
407 uninstall-am uninstall-info-am uninstall-info-recursive \
408 uninstall-recursive
409
410 # Tell versions [3.59,3.63) of GNU make to not export all variables.
411 # Otherwise a system limit (for SysV at least) may be exceeded.
412 .NOEXPORT:
This page took 0.054723 seconds and 6 git commands to generate.